Bug 1524824 - [RFE] Add support for AMD EPYC processors
Summary: [RFE] Add support for AMD EPYC processors
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ovirt-4.2.2
: ---
Assignee: Michal Skrivanek
QA Contact: meital avital
URL:
Whiteboard:
Depends On: 1445834
Blocks: 1445836 1450396 1481252
TreeView+ depends on / blocked
 
Reported: 2017-12-12 08:00 UTC by Michal Skrivanek
Modified: 2019-05-16 13:08 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Red Hat Virtualization now supports AMD EPYC processors for guest virtual machines.
Clone Of: 1445834
Environment:
Last Closed: 2018-05-15 17:46:12 UTC
oVirt Team: Virt
Target Upstream Version:
mavital: testing_plan_complete+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:1488 0 None None None 2018-05-15 17:47:48 UTC
oVirt gerrit 86381 0 'None' MERGED core: rename Intel Skylake to Skylake Client 2020-11-24 09:32:28 UTC

Description Michal Skrivanek 2017-12-12 08:00:54 UTC
+++ This bug was initially created as a clone of Bug #1445834 +++

Based on LKML email, the processor has all the features in Opteron_G5 plus the following features:

cpu family	: 23
model		: 1
model name	: AMD Ryzen 7 1800X Eight-Core Processor
flags           :
mmxext fxsr_opt rdtscp movbe rdrand extapic cr8_legacy 3dnowprefetch fsgsbase 
bmi1 avx2 smep bmi2 rdseed adx smap clflushopt sha_ni xsaveopt xsavec xgetbv1
xsaves clzero topoext

The "topoext" feature needs extra support in QEMU.

"bpext" and "mwaitx" may need KVM support too.

Comment 1 Michal Skrivanek 2017-12-12 08:06:04 UTC
comes in 7.5

Comment 5 RHV bug bot 2018-02-16 16:24:29 UTC
WARN: Bug status wasn't changed from MODIFIED to ON_QA due to the following reason:

[Found non-acked flags: '{'rhevm-4.2-ga': '?'}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status wasn't changed from MODIFIED to ON_QA due to the following reason:

[Found non-acked flags: '{'rhevm-4.2-ga': '?'}', ]

For more info please contact: rhv-devops@redhat.com

Comment 7 RHV bug bot 2018-03-16 15:01:57 UTC
WARN: Bug status wasn't changed from MODIFIED to ON_QA due to the following reason:

[Found non-acked flags: '{'rhevm-4.2-ga': '?'}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status wasn't changed from MODIFIED to ON_QA due to the following reason:

[Found non-acked flags: '{'rhevm-4.2-ga': '?'}', ]

For more info please contact: rhv-devops@redhat.com

Comment 9 meital avital 2018-04-08 10:26:23 UTC
Verified with:
Engine Version: 4.2.2.6-0.1.el7
Host:
OS Version: RHEL - 7.5 - 8.el7
VDSM Version: vdsm-4.20.23-1.el7ev
Kernel Version: 3.10.0 - 861.el7.x86_64
KVM Version: 2.10.0 - 21.el7_5.1
LIBVIRT Version: libvirt-3.9.0-14.el7_5.2


Host info:
# virsh -r capabilities | head
<capabilities>
  <host>
    <uuid>19cde1af-9927-4009-8ab6-b96310057acd</uuid>
    <cpu>
      <arch>x86_64</arch>
      <model>EPYC</model>
      <vendor>AMD</vendor>
      <microcode version='134222343'/>
      <topology sockets='1' cores='2' threads='2'/>

Verification steps:
1.Create AMD EPYC cluster
2.Add Host1 to this cluster
2.Run VM1 on Host1
3.VM1 up and running

Comment 14 errata-xmlrpc 2018-05-15 17:46:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:1488

Comment 15 Franta Kust 2019-05-16 13:08:49 UTC
BZ<2>Jira Resync


Note You need to log in before you can comment on or make changes to this bug.